body {
    font-family: avenir,nunito,sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    margin: 0;
}

section {
    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100vw;
}

* {
    box-sizing: border-box;
}

#prepo, .title {
    font-size: 8rem;
    text-align: center;
    position: relative;
}

.plus, .subtitle {
    text-align: center;
    font-size: 4rem;
    color: #43434394;
}

#quizz {
    justify-content: space-around;
}

.hidden {
    display: none;
}

#results .subtitle {
    font-size: 2rem;
    margin-top: -20px;
}

#results {
    text-align: center;
}

#results p {
    margin: 30px auto;
}

.error strong {
    color: #1b5e20;
    padding: 5px;
    font-weight: 900;
}

#errors .error {
    border-bottom: 1px solid lightgrey;
    padding: 8px 0;
}

#errors {
    margin: 0 auto;
    width: 100%;
    text-align: center;
    max-width: 400px;
}
#cases {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-around;
    font-size: 2.5rem;
    text-align: center;
}

[data-case].error {
    color: #b71c1c;
}

#cases div {
    width: 25%;
    position: relative;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

#cases div:hover {
    font-weight: bold;
    text-decoration: underline;
    cursor: pointer;
}

@media only screen and (max-width: 800px) {
    #quizz {
        justify-content: space-between;
        padding-top: 40px;
    }

    [data-case].error {
        border-left: 4px solid #b71c1c;
        border-right: 4px solid #b71c1c;
        color: inherit;
    }

    #prepo {
        font-size: 3rem;
        padding: 30px 0;
    }

    .plus {
        font-size: 2.5rem;
    }

    #cases div {
        width: 100%;
        padding: 10px 0;
        width: 100%;
    }

    #cases div:nth-child(2n) {
        background: #434343;
        color: white;
    }

    #cases div:first-child {
        border-top: 1px solid lightgray;
    }

    #cases {
        flex-direction: column;
    }

    [data-case]::after {
        display: none;
    }

    #cases div:hover {
        font-weight: normal;
        text-decoration: none;
    }
}

[data-case='Akkusativ']::after {
    content: '↑';
}

[data-case='Akkusativ | Dativ']::after {
    content: '←';
}

[data-case='Dativ']::after {
    content: '→';
}

[data-case='Genitiv']::after {
    content: '↓';
}


[data-case]::after {
    position: absolute;
    bottom: -15px;
    left: 0;
    right: 0;
    font-size: small;
}


button {
    color: #1565c0;
    background: white;
    outline: none;
    border: none;
    max-width: 200px;
    padding: 10 8px;
    font-weight: 900;
    font-size: 1.5rem;
    margin: 40px auto;
    cursor: pointer;
    border-bottom: 2px solid #1565c0;
}

#pagination {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    text-align: center;
    font-style: italic;
    font-size: 1rem;
    color: #43434394;
    display: flex;
    flex-direction: row;
    height: 3px;
}

#pagination span {
    height: 100%;
    display: inline-block;
}

.good {
    background: #1b5e20;
}

.bad {
    background: #b71c1c;
}

.good + .bad, .bad + .good {

    border-left: 2px solid white;

}
